Bug 21913 - Clean up payment details page
Summary: Clean up payment details page
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL: /cgi-bin/koha/members/accountline-det...
Keywords:
Depends on:
Blocks: 20654
  Show dependency treegraph
 
Reported: 2018-11-29 15:52 UTC by Owen Leonard
Modified: 2019-02-01 12:39 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 21913: Clean up payment details page (5.71 KB, patch)
2018-11-29 16:50 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 21913: Clean up payment details page (10.02 KB, patch)
2019-01-11 14:09 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 21913: Clean up payment details page (10.09 KB, patch)
2019-01-11 20:51 UTC, José-Mario Monteiro-Santos
Details | Diff | Splinter Review
Bug 21913: Clean up payment details page (10.15 KB, patch)
2019-01-13 20:07 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2018-11-29 15:52:59 UTC
The payment details page (Patron -> Fines -> Account -> Details) needs some markup corrections and for the grid to be converted to Bootstrap.
Comment 1 Owen Leonard 2018-11-29 16:50:36 UTC
Created attachment 82757 [details] [review]
Bug 21913: Clean up payment details page

This patch makes various corrections and improvements to the payment
details page:

 - Grid converted to Bootstrap
 - Correct title tag
 - Add patron toolbar
 - Adding missing patron-related JavaScript
 - Improve some language

To test, apply the patch and locate a patron who has one or more
payments on their account.

 - Open Fines -> Account -> Details of a transaction
 - Confirm that the page looks correct and adjusts well at various
   browser widths.
 - Confirm that patron toolbar items work correctly
 - Confirm that the payments table only appears when there are payments
   to list.
Comment 2 Devinim 2018-11-30 12:05:02 UTC
İf there isn't any payment, payment section appears. Other functionalities are working as described.
Comment 3 Jonathan Druart 2018-12-13 21:41:08 UTC
(In reply to Devinim from comment #2)
> İf there isn't any payment, payment section appears. Other functionalities
> are working as described.

Failing QA for that as it is advertised in the commit message.
Comment 4 Devinim 2018-12-14 11:06:45 UTC
(In reply to Jonathan Druart from comment #3)
> (In reply to Devinim from comment #2)
> > İf there isn't any payment, payment section appears. Other functionalities
> > are working as described.
> 
> Failing QA for that as it is advertised in the commit message.

Hi Jonathan,
We didn't understand this :( Can you explain a bit more?
Thanks.
Comment 5 Owen Leonard 2019-01-11 14:09:33 UTC
Created attachment 83793 [details] [review]
Bug 21913: Clean up payment details page

This patch makes various corrections and improvements to the payment
details page:

 - Grid converted to Bootstrap
 - Correct title tag
 - Add patron toolbar
 - Adding missing patron-related JavaScript
 - Improve some language

To test, apply the patch and locate a patron who has one or more
payments on their account.

 - Open Fines -> Account -> Details of a transaction
 - Confirm that the page looks correct and adjusts well at various
   browser widths.
 - Confirm that patron toolbar items work correctly
Comment 6 Owen Leonard 2019-01-11 14:10:50 UTC
(In reply to Jonathan Druart from comment #3)
> (In reply to Devinim from comment #2)
> > İf there isn't any payment, payment section appears. Other functionalities
> > are working as described.
> 
> Failing QA for that as it is advertised in the commit message.

I removed those changes. There wasn't a straightforward way to accomplish it with template changes.
Comment 7 José-Mario Monteiro-Santos 2019-01-11 20:51:46 UTC
Created attachment 83828 [details] [review]
Bug 21913: Clean up payment details page

This patch makes various corrections and improvements to the payment
details page:

 - Grid converted to Bootstrap
 - Correct title tag
 - Add patron toolbar
 - Adding missing patron-related JavaScript
 - Improve some language

To test, apply the patch and locate a patron who has one or more
payments on their account.

 - Open Fines -> Account -> Details of a transaction
 - Confirm that the page looks correct and adjusts well at various
   browser widths.
 - Confirm that patron toolbar items work correctly

Signed-off-by: Jose-Mario <jose-mario.monteiro-santos@inLibro.com>
Comment 8 Katrin Fischer 2019-01-13 20:07:39 UTC
Created attachment 83848 [details] [review]
Bug 21913: Clean up payment details page

This patch makes various corrections and improvements to the payment
details page:

 - Grid converted to Bootstrap
 - Correct title tag
 - Add patron toolbar
 - Adding missing patron-related JavaScript
 - Improve some language

To test, apply the patch and locate a patron who has one or more
payments on their account.

 - Open Fines -> Account -> Details of a transaction
 - Confirm that the page looks correct and adjusts well at various
   browser widths.
 - Confirm that patron toolbar items work correctly

Signed-off-by: Jose-Mario <jose-mario.monteiro-santos@inLibro.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 9 Nick Clemens 2019-01-28 14:14:46 UTC
Awesome work all!

Pushed to master for 19.05
Comment 10 Martin Renvoize 2019-02-01 12:39:19 UTC
Enhancement, will not be backported to 18.11.x series.